Page 23 of 23

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Tue Jun 04, 2019 3:58 pm
by skamasle
azzronulation wrote:
Wed May 08, 2019 5:14 pm
Hey! I installed this script and it seemed successful, however when switching template in Vesta nothing happens. 'php -v' shows "PHP 5.6.38" no matter which template I choose.

Any help would be appreciated.
This is just for web, so in SSH php -v will always show your default version, but your web will run aditional one, check it by uploading info.php file phpinfo();

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Jun 19, 2019 12:48 pm
by sanishan
After installing PHP Selector, when i select any PHP version other than default 5.6, it shows "Apache Testing 123" page.

Anyone had a solution to fix this?

PS: using only APACHE (HTTPD), no Nginx

Thanks,

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Thu Jun 20, 2019 11:51 am
by skamasle
sanishan wrote:
Wed Jun 19, 2019 12:48 pm
After installing PHP Selector, when i select any PHP version other than default 5.6, it shows "Apache Testing 123" page.

Anyone had a solution to fix this?

PS: using only APACHE (HTTPD), no Nginx

Thanks,
But you have any contnet uploaded ?

So some index.php in your site, default apache site can be viewed if you not have any index.php

I asume you use centos 7

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Fri Jun 28, 2019 8:37 am
by hydrogentsar
I installed this php selector when php 7.1 and php 7.2 did not exist
How can I upgrade php selector so that these versions of php appear in the selection?

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Wed Jul 03, 2019 7:26 pm
by skamasle
hydrogentsar wrote:
Fri Jun 28, 2019 8:37 am
I installed this php selector when php 7.1 and php 7.2 did not exist
How can I upgrade php selector so that these versions of php appear in the selection?
You may can download new php installer and install just that php versions.

New PHP installer can install just selected versions

Re: VestaCP PHP Selector for Centos add php 7, 5.6 and 5.5.

Posted: Tue Jul 16, 2019 6:31 pm
by skamasle
I rebuild some code in script, update it and now support php 7.4, all php.inis point to /etc/php*.ini and /etc/php*.d